# math-typst

A mathematical-oriented template and work environment for Typst.

## How to use

Clone the repository, and start writing your paper in `source/user/main.typ`.

### Recommended workflow

I recommend you run `make watch` to make use of incremental compilation. Then, run `make view`, after setting the `PDF_VIEWER` shell variable.
Now, just save your file whenever you wish to update the PDF.

For an example of how this looks, see [this image](https://git.disroot.org/orca/home/src/branch/main/.images/desktop.png).

When there will be updates, run `git pull`.

## How to get started

See the `source/manual.typ` file for an example of its usage.

Run `make manual` to compile it.
